{ self, nixpkgs, gpgKey }:

let
  pkgs = nixpkgs.legacyPackages.x86_64-linux;
in
{
  config = import ./config { inherit self pkgs gpgKey; };

  expandSaltTemplate = import ./salt-support/expand-template.nix { inherit pkgs; };

  saltPillarFor = import ./salt-support/salt-pillar.nix {
    inherit pkgs gpgKey;
  };

  netmasks = import ./netmasks.nix;

  subnet = import ./subnet { inherit pkgs; };
}
